WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/September 2024/21 Sep 2024

Dragons RFC 23–21 Ospreys

252 photographs Geraint Nicholas/Huw Evans AgencyChris Fairweather/Huw Evans AgencyGeraint Nicholas/Huw Evans AgencChris Fairweather/Huw Evans Agen Saturday
Prints from £8 Order prints
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC Coach Filo Tiatia 001
CDF_210924_GN_Dragons_v_Ospreys_001.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC Coach Filo Tiatia
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head Coach Dai Flanagan 002
CDF_210924_GN_Dragons_v_Ospreys_002.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head Coach Dai Flanagan
210924 - Dragons RFC v Ospreys - United Rugby Championship - Adam Beard of Ospreys 003
CDF_210924_GN_Dragons_v_Ospreys_003.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Adam Beard of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ospreys Coach Mark Jones 004
CDF_210924_GN_Dragons_v_Ospreys_004.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ospreys Coach Mark Jones
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ospreys Head Coach Toby Booth 005
CDF_210924_GN_Dragons_v_Ospreys_005.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ospreys Head Coach Toby Booth
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ospreys Head Coach Toby Booth 006
CDF_210924_GN_Dragons_v_Ospreys_006.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ospreys Head Coach Toby Booth
210924 - Dragons RFC v Ospreys - United Rugby Championship - General view of Rodney Parade 007
CDF_210924_GN_Dragons_v_Ospreys_007.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - General view of Rodney Parade
210924 - Dragons RFC v Ospreys - United Rugby Championship - General view of Rodney Parade 008
CDF_210924_GN_Dragons_v_Ospreys_008.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - General view of Rodney Parade
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head Coach Dai Flanagan 009
CDF_210924_GN_Dragons_v_Ospreys_009.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head Coach Dai Flanagan
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ospreys players arrive 010
CDF_210924_GN_Dragons_v_Ospreys_010.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ospreys players arrive
210924 - Dragons RFC v Ospreys - United Rugby Championship -  Dragons RFC players warming up 011
CDF_210924_GN_Dragons_v_Ospreys_011.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players warming up
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head Coach Dai Flanagan  and Dragons RFC coach Filo Tiatia 012
CDF_210924_GN_Dragons_v_Ospreys_012.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head Coach Dai Flanagan and Dragons RFC coach Filo Tiatia
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dewi Lake of Ospreys 013
CDF_210924_GN_Dragons_v_Ospreys_013.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dewi Lake of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ospreys coach Mark Jones 014
CDF_210924_GN_Dragons_v_Ospreys_014.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ospreys coach Mark Jones
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dewi Lake of Ospreys 015
CDF_210924_GN_Dragons_v_Ospreys_015.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dewi Lake of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ospreys warming up 016
CDF_210924_GN_Dragons_v_Ospreys_016.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ospreys warming up
210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons RFC 017
CDF_210924_GN_Dragons_v_Ospreys_017.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons RFC 018
CDF_210924_GN_Dragons_v_Ospreys_018.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship -Steff Hughes of Dragons RFC 019
CDF_210924_GN_Dragons_v_Ospreys_019.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship -Steff Hughes of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ospreys coach Mark Jones 020
CDF_210924_GN_Dragons_v_Ospreys_020.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ospreys coach Mark Jones
210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys 021
CDF_210924_GN_Dragons_v_Ospreys_021.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys 022
CDF_210924_GN_Dragons_v_Ospreys_022.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Wales coach Neil Jenkins 023
CDF_210924_GN_Dragons_v_Ospreys_024.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Wales coach Neil Jenkins
210924 - Dragons RFC v Ospreys - United Rugby Championship - Lloyd Evans of Dragons kicks a penalty 024
CDF_210924_CF_Dragons_v_Ospreys_002.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Lloyd Evans of Dragons kicks a penalty
210924 - Dragons RFC v Ospreys - United Rugby Championship - Lloyd Evans of Dragons kicks a penalty 025
CDF_210924_CF_Dragons_v_Ospreys_003.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Lloyd Evans of Dragons kicks a penalty
210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O'Brien of Dragons is tackled by Ryan Conbeer of Ospreys 026
CDF_210924_CF_Dragons_v_Ospreys_004.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O'Brien of Dragons is tackled by Ryan Conbeer of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O'Brien of Dragons is tackled by Ryan Conbeer of Ospreys 027
CDF_210924_CF_Dragons_v_Ospreys_005.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O'Brien of Dragons is tackled by Ryan Conbeer of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons is tackled by Keiran Williams of Ospreys 028
CDF_210924_CF_Dragons_v_Ospreys_006.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons is tackled by Keiran Williams of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons is tackled by Keiran Williams of Ospreys 029
CDF_210924_CF_Dragons_v_Ospreys_007.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons is tackled by Keiran Williams of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons is tackled by Owen Watkin of Ospreys 030
CDF_210924_CF_Dragons_v_Ospreys_008.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons is tackled by Owen Watkin of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O'Brien of Dragons is tackled by Ryan Conbeer of Ospreys 031
CDF_210924_CF_Dragons_v_Ospreys_009.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O'Brien of Dragons is tackled by Ryan Conbeer of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan of Ospreys and Aneurin Owen of Dragons go for the ball 032
CDF_210924_CF_Dragons_v_Ospreys_010.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan of Ospreys and Aneurin Owen of Dragons go for the ball
210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC 033
CDF_210924_GN_Dragons_v_Ospreys_026.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC is tackled by Jac Morgan of Ospreys 034
CDF_210924_GN_Dragons_v_Ospreys_027.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC is tackled by Jac Morgan of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dane Blacker of Dragons RFC 035
CDF_210924_GN_Dragons_v_Ospreys_028.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dane Blacker of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Edwards of Ospreys 036
CDF_210924_GN_Dragons_v_Ospreys_029.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Edwards of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Edwards of Ospreys 037
CDF_210924_GN_Dragons_v_Ospreys_030.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Edwards of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC 038
CDF_210924_GN_Dragons_v_Ospreys_031.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC is tackled by Ryan Conbeer of Ospreys 039
CDF_210924_GN_Dragons_v_Ospreys_032.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC is tackled by Ryan Conbeer of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys 040
CDF_210924_GN_Dragons_v_Ospreys_033.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Gareth Thomas of Ospreys 041
CDF_210924_GN_Dragons_v_Ospreys_034.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Gareth Thomas of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Morgan of Ospreys 042
CDF_210924_GN_Dragons_v_Ospreys_035.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Morgan of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Morgan of Ospreys 043
CDF_210924_GN_Dragons_v_Ospreys_036.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Morgan of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Morgan of Ospreys 044
CDF_210924_GN_Dragons_v_Ospreys_037.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Morgan of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys scores his team’s 1st Try 045
CDF_210924_GN_Dragons_v_Ospreys_038.JPG · Geraint Nicholas/Huw Evans Agenc210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys scores his team’s 1st Try
210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys scores his team’s 1st Try 046
CDF_210924_GN_Dragons_v_Ospreys_039.JPG · Geraint Nicholas/Huw Evans Agenc210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys scores his team’s 1st Try
210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys scores his team’s 1st Try 047
CDF_210924_GN_Dragons_v_Ospreys_040.JPG · Geraint Nicholas/Huw Evans Agenc210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys scores his team’s 1st Try
210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys celebrates scoring a try with team mates 048
CDF_210924_CF_Dragons_v_Ospreys_011.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys celebrates scoring a try with team mates
210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys celebrates scoring a try with team mates 049
CDF_210924_CF_Dragons_v_Ospreys_012.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys celebrates scoring a try with team mates
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dewi Lake of Ospreys is tackled by Brodie Coghlan of Dragons 050
CDF_210924_CF_Dragons_v_Ospreys_013.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dewi Lake of Ospreys is tackled by Brodie Coghlan of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O'Brien of Dragons gets the high ball 051
CDF_210924_CF_Dragons_v_Ospreys_014.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O'Brien of Dragons gets the high ball
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan of Ospreys 052
CDF_210924_CF_Dragons_v_Ospreys_015.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan of Ospreys 053
CDF_210924_CF_Dragons_v_Ospreys_016.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dane Blacker of Dragons kicks the ball past Jack Walsh of Ospreys 054
CDF_210924_CF_Dragons_v_Ospreys_017.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dane Blacker of Dragons kicks the ball past Jack Walsh of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ben Carter of Dragons wins the line out 055
CDF_210924_CF_Dragons_v_Ospreys_018.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ben Carter of Dragons wins the line out
210924 - Dragons RFC v Ospreys - United Rugby Championship - Aneurin Owen of Dragons gets past Reuben Morgan-Williams of Ospreys 056
CDF_210924_CF_Dragons_v_Ospreys_019.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Aneurin Owen of Dragons gets past Reuben Morgan-Williams of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Aneurin Owen of Dragons gets past Reuben Morgan-Williams of Ospreys 057
CDF_210924_CF_Dragons_v_Ospreys_020.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Aneurin Owen of Dragons gets past Reuben Morgan-Williams of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Aneurin Owen of Dragons gets past Reuben Morgan-Williams of Ospreys 058
CDF_210924_CF_Dragons_v_Ospreys_021.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Aneurin Owen of Dragons gets past Reuben Morgan-Williams of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons 059
CDF_210924_CF_Dragons_v_Ospreys_022.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Harri Keddie of Dragons runs in to score a try 060
CDF_210924_CF_Dragons_v_Ospreys_023.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Harri Keddie of Dragons runs in to score a try
210924 - Dragons RFC v Ospreys - United Rugby Championship - Harri Keddie of Dragons runs in to score a try 061
CDF_210924_CF_Dragons_v_Ospreys_024.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Harri Keddie of Dragons runs in to score a try
210924 - Dragons RFC v Ospreys - United Rugby Championship - Harri Keddie of Dragons celebrates scoring a try with team mates 062
CDF_210924_CF_Dragons_v_Ospreys_025.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Harri Keddie of Dragons celebrates scoring a try with team mates
210924 - Dragons RFC v Ospreys - United Rugby Championship - Harri Keddie of Dragons celebrates scoring a try with team mates 063
CDF_210924_CF_Dragons_v_Ospreys_026.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Harri Keddie of Dragons celebrates scoring a try with team mates
210924 - Dragons RFC v Ospreys - United Rugby Championship - Lloyd Evans of Dragons kicks the conversion 064
CDF_210924_CF_Dragons_v_Ospreys_027.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Lloyd Evans of Dragons kicks the conversion
210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC is tackled by Keiran Williams of Ospreys 065
CDF_210924_GN_Dragons_v_Ospreys_041.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC is tackled by Keiran Williams of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC is tackled by Keiran Williams of Ospreys 066
CDF_210924_GN_Dragons_v_Ospreys_042.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC is tackled by Keiran Williams of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dewi Lake of Ospreys 067
CDF_210924_GN_Dragons_v_Ospreys_043.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dewi Lake of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O'Brien of Dragons makes a break 068
CDF_210924_CF_Dragons_v_Ospreys_028.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O'Brien of Dragons makes a break
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ben Carter of Dragons 069
CDF_210924_CF_Dragons_v_Ospreys_029.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ben Carter of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan and Justin Tipuric of Ospreys 070
CDF_210924_CF_Dragons_v_Ospreys_030.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan and Justin Tipuric of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Leon Brown of Dragons is pushed into touch 071
CDF_210924_CF_Dragons_v_Ospreys_031.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Leon Brown of Dragons is pushed into touch
210924 - Dragons RFC v Ospreys - United Rugby Championship - Tensions boil over between the teams 072
CDF_210924_CF_Dragons_v_Ospreys_032.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Tensions boil over between the teams
210924 - Dragons RFC v Ospreys - United Rugby Championship - Tensions boil over between the teams 073
CDF_210924_CF_Dragons_v_Ospreys_033.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Tensions boil over between the teams
210924 - Dragons RFC v Ospreys - United Rugby Championship - Tensions boil over between the teams 074
CDF_210924_CF_Dragons_v_Ospreys_034.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Tensions boil over between the teams
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys makes a break 075
CDF_210924_CF_Dragons_v_Ospreys_035.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys makes a break
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys makes a break 076
CDF_210924_CF_Dragons_v_Ospreys_036.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys makes a break
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys makes a break 077
CDF_210924_CF_Dragons_v_Ospreys_037.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys makes a break
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys makes a break 078
CDF_210924_CF_Dragons_v_Ospreys_038.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys makes a break
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys makes a break 079
CDF_210924_CF_Dragons_v_Ospreys_039.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys makes a break
210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys is held up by Jared Rosser and Joe Westwood of Dragons 080
CDF_210924_CF_Dragons_v_Ospreys_040.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys is held up by Jared Rosser and Joe Westwood of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys is held up by Jared Rosser and Joe Westwood of Dragons 081
CDF_210924_CF_Dragons_v_Ospreys_041.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys is held up by Jared Rosser and Joe Westwood of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys is held up by Jared Rosser and Joe Westwood of Dragons 082
CDF_210924_CF_Dragons_v_Ospreys_042.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys is held up by Jared Rosser and Joe Westwood of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ryan Conbeer of Ospreys runs in to score a try 083
CDF_210924_CF_Dragons_v_Ospreys_043.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ryan Conbeer of Ospreys runs in to score a try
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ryan Conbeer of Ospreys runs in to score a try 084
CDF_210924_CF_Dragons_v_Ospreys_044.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ryan Conbeer of Ospreys runs in to score a try
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ryan Conbeer of Ospreys runs in to score a try 085
CDF_210924_CF_Dragons_v_Ospreys_045.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ryan Conbeer of Ospreys runs in to score a try
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ryan Conbeer of Ospreys celebrates scoring a try with team mates 086
CDF_210924_CF_Dragons_v_Ospreys_046.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ryan Conbeer of Ospreys celebrates scoring a try with team mates
210924 - Dragons RFC v Ospreys - United Rugby Championship - Doom Bar branding on Ospreys shorts 087
CDF_210924_GN_Dragons_v_Ospreys_047.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Doom Bar branding on Ospreys shorts
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Edwards of Ospreys 088
CDF_210924_GN_Dragons_v_Ospreys_044.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Edwards of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Edwards of Ospreys 089
CDF_210924_GN_Dragons_v_Ospreys_045.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Edwards of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Edwards of Ospreys 090
CDF_210924_GN_Dragons_v_Ospreys_046.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Edwards of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dane Blacker of Dragons RFC 091
CDF_210924_GN_Dragons_v_Ospreys_048.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dane Blacker of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - James Ratti of Ospreys 092
CDF_210924_GN_Dragons_v_Ospreys_049.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - James Ratti of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Edwards of Ospreys 093
CDF_210924_GN_Dragons_v_Ospreys_050.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Edwards of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Reuben Morgan-Williams of Ospreys 094
CDF_210924_GN_Dragons_v_Ospreys_051.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Reuben Morgan-Williams of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - 095
CDF_210924_GN_Dragons_v_Ospreys_052.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship -
210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons RFC 096
CDF_210924_GN_Dragons_v_Ospreys_053.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Lloyd Evans of Dragons RFC kicks for goal 097
CDF_210924_GN_Dragons_v_Ospreys_054.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Lloyd Evans of Dragons RFC kicks for goal
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jared Rosser of Dragons RFC 098
CDF_210924_GN_Dragons_v_Ospreys_055.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jared Rosser of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Aneurin Owen of Dragons RFC kicks 099
CDF_210924_GN_Dragons_v_Ospreys_056.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Aneurin Owen of Dragons RFC kicks
210924 - Dragons RFC v Ospreys - United Rugby Championship - Referee Ben Breakspear 100
CDF_210924_CF_Dragons_v_Ospreys_047.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Referee Ben Breakspear
210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O'Brien of Dragons is challenged by Jac Morgan of Ospreys 101
CDF_210924_CF_Dragons_v_Ospreys_048.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O'Brien of Dragons is challenged by Jac Morgan of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Lloyd Evans of Dragons 102
CDF_210924_CF_Dragons_v_Ospreys_049.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Lloyd Evans of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O'Brien of Dragons 103
CDF_210924_CF_Dragons_v_Ospreys_050.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O'Brien of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Justin Tipuric of Ospreys makes a break 104
CDF_210924_CF_Dragons_v_Ospreys_051.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Justin Tipuric of Ospreys makes a break
210924 - Dragons RFC v Ospreys - United Rugby Championship - Justin Tipuric of Ospreys makes a break 105
CDF_210924_CF_Dragons_v_Ospreys_052.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Justin Tipuric of Ospreys makes a break
210924 - Dragons RFC v Ospreys - United Rugby Championship - Reuben Morgan-Williams of Ospreys on the move 106
CDF_210924_CF_Dragons_v_Ospreys_053.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Reuben Morgan-Williams of Ospreys on the move
210924 - Dragons RFC v Ospreys - United Rugby Championship - Reuben Morgan-Williams of Ospreys on the move 107
CDF_210924_CF_Dragons_v_Ospreys_054.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Reuben Morgan-Williams of Ospreys on the move
210924 - Dragons RFC v Ospreys - United Rugby Championship - Reuben Morgan-Williams of Ospreys on the move 108
CDF_210924_CF_Dragons_v_Ospreys_055.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Reuben Morgan-Williams of Ospreys on the move
210924 - Dragons RFC v Ospreys - United Rugby Championship - Reuben Morgan-Williams of Ospreys is tackled by Rhodri Williams of Dragons 109
CDF_210924_CF_Dragons_v_Ospreys_056.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Reuben Morgan-Williams of Ospreys is tackled by Rhodri Williams of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan of Ospreys 110
CDF_210924_GN_Dragons_v_Ospreys_057.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jared Rosser of Dragons RFC 111
CDF_210924_GN_Dragons_v_Ospreys_058.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jared Rosser of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jared Rosser of Dragons RFC 112
CDF_210924_GN_Dragons_v_Ospreys_059.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jared Rosser of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Morgan Morris of Ospreys 113
CDF_210924_GN_Dragons_v_Ospreys_060.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Morgan Morris of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys and Rio Dyer of Dragons RFC 114
CDF_210924_GN_Dragons_v_Ospreys_061.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys and Rio Dyer of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys and Rio Dyer of Dragons RFC 115
CDF_210924_GN_Dragons_v_Ospreys_062.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys and Rio Dyer of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Yendle of Dragons scores in the last seconds of the game to win the game 116
CDF_210924_CF_Dragons_v_Ospreys_057.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Yendle of Dragons scores in the last seconds of the game to win the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Yendle of Dragons scores in the last seconds of the game to win the game 117
CDF_210924_CF_Dragons_v_Ospreys_058.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Yendle of Dragons scores in the last seconds of the game to win the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Yendle of Dragons scores in the last seconds of the game to win the game 118
CDF_210924_CF_Dragons_v_Ospreys_059.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Yendle of Dragons scores in the last seconds of the game to win the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Yendle of Dragons scores in the last seconds of the game to win the game 119
CDF_210924_CF_Dragons_v_Ospreys_060.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Yendle of Dragons scores in the last seconds of the game to win the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Yendle of Dragons scores in the last seconds of the game to win the game 120
CDF_210924_CF_Dragons_v_Ospreys_061.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Yendle of Dragons scores in the last seconds of the game to win the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - 121
CDF_210924_CF_Dragons_v_Ospreys_063.JPG · Chris Fairweather/Huw Evans Agen210924 - Dragons RFC v Ospreys - United Rugby Championship -
210924 - Dragons RFC v Ospreys - United Rugby Championship - Aneurin Owen of Dragons celebrates at full time 122
CDF_210924_CF_Dragons_v_Ospreys_064.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Aneurin Owen of Dragons celebrates at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Yendle of Dragons celebrates at full time 123
CDF_210924_CF_Dragons_v_Ospreys_065.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Yendle of Dragons celebrates at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Yendle of Dragons celebrates at full time 124
CDF_210924_CF_Dragons_v_Ospreys_066.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Yendle of Dragons celebrates at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Yendle of Dragons celebrates at full time 125
CDF_210924_CF_Dragons_v_Ospreys_067.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Yendle of Dragons celebrates at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Matthew Screech and Shane Lewis-Hughes of Dragons 126
CDF_210924_CF_Dragons_v_Ospreys_068.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Matthew Screech and Shane Lewis-Hughes of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dejected Morgan Morris of Ospreys at full time 127
CDF_210924_CF_Dragons_v_Ospreys_069.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dejected Morgan Morris of Ospreys at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dejected Justin Tipuric of Ospreys at full time 128
CDF_210924_CF_Dragons_v_Ospreys_070.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dejected Justin Tipuric of Ospreys at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ben Carter of Dragons at full time 129
CDF_210924_CF_Dragons_v_Ospreys_071.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ben Carter of Dragons at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Aneurin Owen of Dragons thanks the fans at full time 130
CDF_210924_CF_Dragons_v_Ospreys_072.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Aneurin Owen of Dragons thanks the fans at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Aneurin Owen of Dragons thanks the fans at full time 131
CDF_210924_CF_Dragons_v_Ospreys_073.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Aneurin Owen of Dragons thanks the fans at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Leon Brown of Dragons thanks the fans at full time 132
CDF_210924_CF_Dragons_v_Ospreys_074.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Leon Brown of Dragons thanks the fans at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Leon Brown of Dragons thanks the fans at full time 133
CDF_210924_CF_Dragons_v_Ospreys_075.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Leon Brown of Dragons thanks the fans at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Matthew Screech of Dragons celebrates at full time 134
CDF_210924_CF_Dragons_v_Ospreys_076.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Matthew Screech of Dragons celebrates at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dane Blacker of Dragons thanks the fans at full time 135
CDF_210924_CF_Dragons_v_Ospreys_077.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dane Blacker of Dragons thanks the fans at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - George Nott of Dragons thanks the fans at full time 136
CDF_210924_CF_Dragons_v_Ospreys_078.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - George Nott of Dragons thanks the fans at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons thanks the fans at full time 137
CDF_210924_CF_Dragons_v_Ospreys_079.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons thanks the fans at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons thanks the fans at full time 138
CDF_210924_CF_Dragons_v_Ospreys_080.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons thanks the fans at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons thanks the fans at full time 139
CDF_210924_CF_Dragons_v_Ospreys_081.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons thanks the fans at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Shane Lewis-Hughes and Dan Lydiate of Dragons 140
CDF_210924_CF_Dragons_v_Ospreys_082.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Shane Lewis-Hughes and Dan Lydiate of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Harri Keddie of Dragons leads the team huddle at full time 141
CDF_210924_CF_Dragons_v_Ospreys_083.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Harri Keddie of Dragons leads the team huddle at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Harri Keddie of Dragons leads the team huddle at full time 142
CDF_210924_CF_Dragons_v_Ospreys_084.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Harri Keddie of Dragons leads the team huddle at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Harri Keddie of Dragons leads the team huddle at full time 143
CDF_210924_CF_Dragons_v_Ospreys_085.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Harri Keddie of Dragons leads the team huddle at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons celebrate in the team huddle at full time 144
CDF_210924_CF_Dragons_v_Ospreys_086.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons celebrate in the team huddle at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons celebrate in the team huddle at full time 145
CDF_210924_CF_Dragons_v_Ospreys_087.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons celebrate in the team huddle at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons celebrate in the team huddle at full time 146
CDF_210924_CF_Dragons_v_Ospreys_088.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons celebrate in the team huddle at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons celebrate in the team huddle at full time 147
CDF_210924_CF_Dragons_v_Ospreys_089.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons celebrate in the team huddle at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons celebrate in the team huddle at full time 148
CDF_210924_CF_Dragons_v_Ospreys_090.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons celebrate in the team huddle at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ospreys Head Coach Toby Booth 149
CDF_210924_CF_Dragons_v_Ospreys_091.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ospreys Head Coach Toby Booth
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ospreys Head Coach Toby Booth 150
CDF_210924_CF_Dragons_v_Ospreys_092.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ospreys Head Coach Toby Booth
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head Coach Dai Flanagan 151
CDF_210924_CF_Dragons_v_Ospreys_093.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head Coach Dai Flanagan
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head Coach Dai Flanagan 152
CDF_210924_CF_Dragons_v_Ospreys_094.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head Coach Dai Flanagan
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head Coach Dai Flanagan 153
CDF_210924_CF_Dragons_v_Ospreys_095.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head Coach Dai Flanagan
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head Coach Dai Flanagan 154
CDF_210924_CF_Dragons_v_Ospreys_096.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head Coach Dai Flanagan
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game 155
CDF_210924_GN_Dragons_v_Ospreys_063.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game 156
CDF_210924_GN_Dragons_v_Ospreys_064.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game 157
CDF_210924_GN_Dragons_v_Ospreys_065.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game 158
CDF_210924_GN_Dragons_v_Ospreys_066.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC fans celebrate after the game 159
CDF_210924_GN_Dragons_v_Ospreys_067.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC fans celebrate after the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC fans celebrate after the game 160
CDF_210924_GN_Dragons_v_Ospreys_068.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC fans celebrate after the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game 161
CDF_210924_GN_Dragons_v_Ospreys_069.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game 162
CDF_210924_GN_Dragons_v_Ospreys_070.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game 163
CDF_210924_GN_Dragons_v_Ospreys_071.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game 164
CDF_210924_GN_Dragons_v_Ospreys_072.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players huddle after the game 165
CDF_210924_GN_Dragons_v_Ospreys_073.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players huddle after the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players huddle after the game 166
CDF_210924_GN_Dragons_v_Ospreys_074.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players huddle after the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players huddle after the game 167
CDF_210924_GN_Dragons_v_Ospreys_075.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players huddle after the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC 168
CDF_210924_GN_Dragons_v_Ospreys_076.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ryan Woodman of Dragons RFC 169
CDF_210924_GN_Dragons_v_Ospreys_077.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ryan Woodman of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ryan Woodman of Dragons RFC 170
CDF_210924_GN_Dragons_v_Ospreys_078.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ryan Woodman of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC 171
CDF_210924_GN_Dragons_v_Ospreys_080.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons RFC 172
CDF_210924_GN_Dragons_v_Ospreys_084.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ryan Woodman of Dragons RFC 173
CDF_210924_GN_Dragons_v_Ospreys_086.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ryan Woodman of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game 174
CDF_210924_GN_Dragons_v_Ospreys_091.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game 175
CDF_210924_GN_Dragons_v_Ospreys_092.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game 176
CDF_210924_GN_Dragons_v_Ospreys_093.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC players celebrate after the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Huw Sutton of Ospreys with his face covered in blood 177
CDF_210924_GN_Dragons_v_Ospreys_094.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Huw Sutton of Ospreys with his face covered in blood
210924 - Dragons RFC v Ospreys - United Rugby Championship - Huw Sutton of Ospreys with his face covered in blood 178
CDF_210924_GN_Dragons_v_Ospreys_095.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Huw Sutton of Ospreys with his face covered in blood
210924 - Dragons RFC v Ospreys - United Rugby Championship - Fireworks at end of game 179
CDF_210924_GN_Dragons_v_Ospreys_096.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Fireworks at end of game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Fireworks at end of game 180
CDF_210924_GN_Dragons_v_Ospreys_097.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Fireworks at end of game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Rhodri Jones of Dragons RFC at end of game 181
CDF_210924_GN_Dragons_v_Ospreys_098.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Rhodri Jones of Dragons RFC at end of game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Morgan Morris of Ospreys 182
CDF_210924_CF_Dragons_v_Ospreys_097.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Morgan Morris of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - James Ratti of Ospreys 183
CDF_210924_CF_Dragons_v_Ospreys_098.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - James Ratti of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan of Ospreys 184
CDF_210924_CF_Dragons_v_Ospreys_099.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan of Ospreys 185
CDF_210924_CF_Dragons_v_Ospreys_100.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jared Rosser of Dragons 186
CDF_210924_CF_Dragons_v_Ospreys_101.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jared Rosser of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Lloyd Evans of Dragons 187
CDF_210924_CF_Dragons_v_Ospreys_102.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Lloyd Evans of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys 188
CDF_210924_CF_Dragons_v_Ospreys_103.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys 189
CDF_210924_CF_Dragons_v_Ospreys_104.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys 190
CDF_210924_CF_Dragons_v_Ospreys_105.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Owen Watkin of Ospreys is challenged by Harri Keddie of Dragons 191
CDF_210924_CF_Dragons_v_Ospreys_106.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Owen Watkin of Ospreys is challenged by Harri Keddie of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Harri Keddie of Dragons 192
CDF_210924_CF_Dragons_v_Ospreys_107.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Harri Keddie of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dewi Lake of Ospreys is tackled by Aneurin Owen of Dragons 193
CDF_210924_CF_Dragons_v_Ospreys_108.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dewi Lake of Ospreys is tackled by Aneurin Owen of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Scrum 194
CDF_210924_CF_Dragons_v_Ospreys_109.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Scrum
210924 - Dragons RFC v Ospreys - United Rugby Championship - Phil Cokanasiga of Ospreys 195
CDF_210924_CF_Dragons_v_Ospreys_110.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Phil Cokanasiga of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Phil Cokanasiga of Ospreys 196
CDF_210924_CF_Dragons_v_Ospreys_111.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Phil Cokanasiga of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Huw Sutton of Ospreys 197
CDF_210924_CF_Dragons_v_Ospreys_112.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Huw Sutton of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - George Nott of Dragons 198
CDF_210924_CF_Dragons_v_Ospreys_113.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - George Nott of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Lydiate of Dragons 199
CDF_210924_CF_Dragons_v_Ospreys_114.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Lydiate of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Phil Cokanasiga of Ospreys 200
CDF_210924_CF_Dragons_v_Ospreys_115.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Phil Cokanasiga of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan of Ospreys 201
CDF_210924_CF_Dragons_v_Ospreys_116.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan of Ospreys 202
CDF_210924_CF_Dragons_v_Ospreys_117.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys 203
CDF_210924_CF_Dragons_v_Ospreys_118.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jack Walsh of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dewi Lake of Ospreys 204
CDF_210924_CF_Dragons_v_Ospreys_119.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dewi Lake of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ryan Conbeer of Ospreys 205
CDF_210924_CF_Dragons_v_Ospreys_120.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ryan Conbeer of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head of Performance Ryan Chambers 206
CDF_210924_CF_Dragons_v_Ospreys_121.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head of Performance Ryan Chambers
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head of Performance Ryan Chambers 207
CDF_210924_CF_Dragons_v_Ospreys_122.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head of Performance Ryan Chambers
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head of Performance Ryan Chambers 208
CDF_210924_CF_Dragons_v_Ospreys_123.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons Head of Performance Ryan Chambers
210924 - Dragons RFC v Ospreys - United Rugby Championship - Fans watch the game 209
CDF_210924_CF_Dragons_v_Ospreys_124.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Fans watch the game
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ben Carter of Dragons 210
CDF_210924_CF_Dragons_v_Ospreys_125.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ben Carter of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Leon Brown of Dragons 211
CDF_210924_CF_Dragons_v_Ospreys_126.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Leon Brown of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Brodie Coghlan of Dragons 212
CDF_210924_CF_Dragons_v_Ospreys_127.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Brodie Coghlan of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Reuben Morgan-Williams of Ospreys 213
CDF_210924_CF_Dragons_v_Ospreys_128.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Reuben Morgan-Williams of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Doombar 214
CDF_210924_CF_Dragons_v_Ospreys_129.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Doombar
210924 - Dragons RFC v Ospreys - United Rugby Championship - Doombar 215
CDF_210924_CF_Dragons_v_Ospreys_130.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Doombar
210924 - Dragons RFC v Ospreys - United Rugby Championship - Rodrigo Martinez of Dragons 216
CDF_210924_CF_Dragons_v_Ospreys_131.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Rodrigo Martinez of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Rodrigo Martinez of Dragons 217
CDF_210924_CF_Dragons_v_Ospreys_132.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Rodrigo Martinez of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O'Brien of Dragons 218
CDF_210924_CF_Dragons_v_Ospreys_133.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O'Brien of Dragons
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan and Justin Tipuric of Ospreys 219
CDF_210924_CF_Dragons_v_Ospreys_134.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan and Justin Tipuric of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons fans at full time 220
CDF_210924_CF_Dragons_v_Ospreys_135.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons fans at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons fans at full time 221
CDF_210924_CF_Dragons_v_Ospreys_136.JPG · Chris Fairweather/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons fans at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC Mascot Rodney the Dragon on the roof of Rodney Parade 222
CDF_210924_GN_Dragons_v_Ospreys_099.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC Mascot Rodney the Dragon on the roof of Rodney Parade
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC Mascot Rodney the Dragon on the roof of Rodney Parade 223
CDF_210924_GN_Dragons_v_Ospreys_100.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC Mascot Rodney the Dragon on the roof of Rodney Parade
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC mascot Rodney the Dragon abseiling from roof of Rodney Parade 224
CDF_210924_GN_Dragons_v_Ospreys_101.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC mascot Rodney the Dragon abseiling from roof of Rodney Parade
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC mascot Rodney the Dragon abseiling from roof of Rodney Parade 225
CDF_210924_GN_Dragons_v_Ospreys_102.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC mascot Rodney the Dragon abseiling from roof of Rodney Parade
210924 - Dragons RFC v Ospreys - United Rugby Championship -  Dan Edwards of Ospreys 226
CDF_210924_GN_Dragons_v_Ospreys_104.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Edwards of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Gareth Thomas of Ospreys 227
CDF_210924_GN_Dragons_v_Ospreys_105.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Gareth Thomas of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Justin Tipuric of Ospreys 228
CDF_210924_GN_Dragons_v_Ospreys_106.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Justin Tipuric of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Morgan of Ospreys 229
CDF_210924_GN_Dragons_v_Ospreys_107.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Morgan of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC 230
CDF_210924_GN_Dragons_v_Ospreys_108.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC 231
CDF_210924_GN_Dragons_v_Ospreys_109.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Angus O’Brien of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Edwards of Ospreys 232
CDF_210924_GN_Dragons_v_Ospreys_111.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Edwards of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Ryan Woodman of Dragons RFC 233
CDF_210924_GN_Dragons_v_Ospreys_114.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Ryan Woodman of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jared Rosser of Dragons RFC 234
CDF_210924_GN_Dragons_v_Ospreys_115.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jared Rosser of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Edwards of Ospreys 235
CDF_210924_GN_Dragons_v_Ospreys_117.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dan Edwards of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Justin Tipuric of Ospreys 236
CDF_210924_GN_Dragons_v_Ospreys_119.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Justin Tipuric of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Reuben Morgan-Williams of Ospreys 237
CDF_210924_GN_Dragons_v_Ospreys_120.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Reuben Morgan-Williams of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan of Ospreys 238
CDF_210924_GN_Dragons_v_Ospreys_122.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jac Morgan of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Morgan Morris of Ospreys 239
CDF_210924_GN_Dragons_v_Ospreys_123.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Morgan Morris of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Morgan of Ospreys 240
CDF_210924_GN_Dragons_v_Ospreys_125.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Luke Morgan of Ospreys
210924 - Dragons RFC v Ospreys - United Rugby Championship - Harri Keddie of Dragons RFC 241
CDF_210924_GN_Dragons_v_Ospreys_126.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Harri Keddie of Dragons RFC
210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC celebrate at full time 242
CDF_210924_GN_Dragons_v_Ospreys_127.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Dragons RFC celebrate at full time
210924 - Dragons RFC v Ospreys - United Rugby Championship - General view inside Rodney Parade 243
CDF_210924_GN_Dragons_v_Ospreys_128.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - General view inside Rodney Parade
210924 - Dragons RFC v Ospreys - United Rugby Championship - Royal Marines abseiling from roof of Rodney Parade 244
CDF_210924_GN_Dragons_v_Ospreys_148.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Royal Marines abseiling from roof of Rodney Parade
210924 - Dragons RFC v Ospreys - United Rugby Championship - Royal Marines abseiling from roof of Rodney Parade 245
CDF_210924_GN_Dragons_v_Ospreys_149.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Royal Marines abseiling from roof of Rodney Parade
210924 - Dragons RFC v Ospreys - United Rugby Championship - Royal Marines abseiling from roof of Rodney Parade 246
CDF_210924_GN_Dragons_v_Ospreys_150.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Royal Marines abseiling from roof of Rodney Parade
210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys runs in to score a try 247
CDF_210924_GN_Dragons_v_Ospreys_151.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys runs in to score a try
210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys scores a try 248
CDF_210924_GN_Dragons_v_Ospreys_152.JPG · Geraint Nicholas/Huw Evans Agenc210924 - Dragons RFC v Ospreys - United Rugby Championship - Keiran Williams of Ospreys scores a try
210924 - Dragons RFC v Ospreys - United Rugby Championship - Reuben Morgan-Williams of Ospreys kicks 249
CDF_210924_GN_Dragons_v_Ospreys_163.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Reuben Morgan-Williams of Ospreys kicks
210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons RFC stretches for the ball 250
CDF_210924_GN_Dragons_v_Ospreys_164.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons RFC stretches for the ball
210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons RFC stretches for the ball 251
CDF_210924_GN_Dragons_v_Ospreys_165.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Rio Dyer of Dragons RFC stretches for the ball
210924 - Dragons RFC v Ospreys - United Rugby Championship - Jared Rosser of Dragons RFC 252
CDF_210924_GN_Dragons_v_Ospreys_169.JPG · Geraint Nicholas/Huw Evans Agency210924 - Dragons RFC v Ospreys - United Rugby Championship - Jared Rosser of Dragons RFC

More from around this date

Sat 21 SepRGC 28-23 Llandovery Sat 21 SepBenetton Rugby 20-20 Scarlets Sat 21 SepCardiff City 0-2 Leeds United Sat 21 SepBarrow 2-0 Newport County Sat 21 SepBridgend Ravens 26-29 Pontypool Sat 21 SepCoventry City 1-2 Swansea City Sun 22 SepSomerset v Glamorgan Fri 20 SepWales Women 31-24 Australia Women
Dragons RFC 23-21 Ospreys · 21 Sep 2024
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured